# Setup

## Linux

./make.sh

## Windows

Install linux

just kidding, windowson még sosem próbáltam, ha valaki rájön ott hogy működik, akkor az jól jönne, ty.

A `make.sh` script futtatása minden eddigi szerver által használt/generált adatot felülír!

# Futtatás

Szükséges könyvtár struktúrát és egyéb fájlokat automatikusan létrehozza a `make.sh` script

`npm start ${debugLevel]` ahol a `debugLevel` egy szám, hogy milyen részletesen történjen a logolás.

Jelenleg a max ilyen 3-4 körül van. Minél nagyobb a szám annál bővebb a log

## Hogy az API és a többi modul tudjon kommunikálni:

__Ezt a rész csak nagyon kevés esetben kell megcsinálni, ajánlott kihagyni! Ennélkül is működik
lokálisan az API és a usercript!__

1. Ezt a pár sort add hozzá a `/etc/hosts` fájlhoz:
   
   ```
   127.0.0.1   api.frylabs.net
   127.0.0.1   qmining.frylabs.net
   ```

   Figyelj rá, hogy az IP cím és az url közötti spacing az pontosan 1 tab!

   Firefox nem mindig használha a hosts filet! Ennélkül a qmining modul nem bír kommunikálni az api-val, ahonnan szedi a kérdéseket, motd-t, felhasználó kérdéseket és ilyesmiket.

2. Ezután a server.js-ben a portot írd át 80-ra és superuserként kell indítani a szervert

3. Ezután a böngészóben a qmining.frylabs.net-en a gépen futó szerver lesz elérhető

   A frylabs.net-es url-ek helyett lehet mást is használni, de néhány helyen előfordulhat hogy be van még égetve, ezért ezek ajánlottak

4. Ha végeztél ne felejtsd el kitörölni a `hosts` fájlból a bemásolt sorokat, mert annélkül nem lesz elérhető az eredeti szerver!

# stats mappa

### logs

Szuper részletes log, minden requestről, ajánlatos egy `tail -f stats/logs`-al nézni mi
történik

### msgs

A feedback oldalra írt üzenetek ebbe mentődnek

### stats

JSON file, kulcsok az url-ek, az értékek pedig hogy hányszor kérődtek le

### vstats

Ugyanaz mint a `stats` file, csak napokba rendezve

### idstats

Cliens ID összes statisztika

### idvstats

Cliens ID összes statisztika napokba rendezve

### recdata

Az az adat, amit a szerver az `/isadding` végpontra kap

### dataEdits

Néhány fontos log amit az api generál mikor a felhasználók a dataEditor modult használják
